IBM Support

PI57980: Improper error when running Liberty scripts with unsupported Jav a version.

Subscribe

You can track all active APARs for this component.

 

APAR status

  • Closed as program error.

Error description

  • When running a Liberty script with an unsupported Java
    version, the following exceptions are produced:
    
    Exception in thread "main"
    java.lang.reflect.InvocationTargetException
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native
    Method)
    at
    sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAcce
    ssorImpl.java:79)
    at
    sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMe
    thodAccessorImpl.java:43)
            at java.lang.reflect.Method.invoke(Method.java:619)
    at
    sun.instrument.InstrumentationImpl.loadClassAndCallPremain(I
    nstrumentationImpl.java:160)
    Caused by: java.util.MissingResourceException: Can't find
    bundle for base name
    com.ibm.ws.kernel.boot.resources.LauncherMessages, locale
    en_US
    at
    java.util.ResourceBundle.throwMissingResourceException(Resou
    rceBundle.java:850)
    at
    java.util.ResourceBundle.getBundleImpl(ResourceBundle.java:8
    19)
    at
    java.util.ResourceBundle.getBundle(ResourceBundle.java:565)
    at
    com.ibm.ws.kernel.instrument.EnvCheck.premain(EnvCheck.java:
    49)
            ... 5 more
    
    Instead, an error message should be shown explaining that
    the user is using an unsupported Java version.
    

Local fix

Problem summary

  • ****************************************************************
    * USERS AFFECTED:  All users of IBM WebSphere Application      *
    *                  Server Liberty Profile - Command Line       *
    *                  Tools                                       *
    ****************************************************************
    * PROBLEM DESCRIPTION: Improper error when running WebSphere   *
    *                      Liberty scripts with unsupported Java   *
    *                      version.                                *
    ****************************************************************
    * RECOMMENDATION:                                              *
    ****************************************************************
    When running a WebSphere Liberty script with an unsupported Java
    version, the following exceptions are produced:
    
    Exception in thread "main"
    java.lang.reflect.InvocationTargetException
            at sun.reflect.NativeMethodAccessorImpl.invoke0(Native
    Method)
            at
    sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessor
    Impl.java:79)
            at
    sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethod
    AccessorImpl.java:43)
            at java.lang.reflect.Method.invoke(Method.java:619)
            at
    sun.instrument.InstrumentationImpl.loadClassAndCallPremain(Instr
    umentationImpl.java:160)
    Caused by: java.util.MissingResourceException: Can't find bundle
    for base name com.ibm.ws.kernel.boot.resources.LauncherMessages,
    locale en_US
            at
    java.util.ResourceBundle.throwMissingResourceException(ResourceB
    undle.java:850)
            at
    java.util.ResourceBundle.getBundleImpl(ResourceBundle.java:819)
            at
    java.util.ResourceBundle.getBundle(ResourceBundle.java:565)
            at
    com.ibm.ws.kernel.instrument.EnvCheck.premain(EnvCheck.java:49)
            ... 5 more
    
    Instead, an error message should be shown explaining that the
    user is using an unsupported Java version.
    

Problem conclusion

  • Code was fixed so that a proper error message is displayed when
    running WebSphere Liberty scripts with unsupported Java
    versions.
    
    The fix for this APAR is currently targeted for inclusion in fix
    pack 8.5.5.9.  Please refer to the Recommended Updates page for
    delivery information:
    http://www.ibm.com/support/docview.wss?rs=180&uid=swg27004980
    

Temporary fix

Comments

APAR Information

  • APAR number

    PI57980

  • Reported component name

    WAS LIBERTY COR

  • Reported component ID

    5725L2900

  • Reported release

    855

  • Status

    CLOSED PER

  • PE

    NoPE

  • HIPER

    NoHIPER

  • Special Attention

    NoSpecatt / Xsystem

  • Submitted date

    2016-02-24

  • Closed date

    2016-02-24

  • Last modified date

    2016-02-24

  • APAR is sysrouted FROM one or more of the following:

  • APAR is sysrouted TO one or more of the following:

Fix information

  • Fixed component name

    WAS LIBERTY COR

  • Fixed component ID

    5725L2900

Applicable component levels

  • R855 PSY

       UP

[{"Business Unit":{"code":"BU053","label":"Cloud \u0026 Data Platform"},"Product":{"code":"SSD28V","label":"WebSphere Application Server Liberty Core"},"Platform":[{"code":"PF025","label":"Platform Independent"}],"Version":"855","Line of Business":{"code":"LOB36","label":"IBM Automation"}}]

Document Information

Modified date:
13 October 2021